/***************************************************************************
 *         GFitsData.cpp  - FITS data handling abstract base class         *
 * ----------------------------------------------------------------------- *
 *  copyright            : (C) 2008 by Jurgen Knodlseder                   *
 * ----------------------------------------------------------------------- *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 * ----------------------------------------------------------------------- *
 ***************************************************************************/

/* __ Includes ___________________________________________________________ */
#include <iostream>
#include "GException.hpp"
#include "GFitsData.hpp"

/* __ Namespaces _________________________________________________________ */

/* __ Method name definitions ____________________________________________ */

/* __ Macros _____________________________________________________________ */

/* __ Coding definitions _________________________________________________ */

/* __ Debug definitions __________________________________________________ */



/*==========================================================================
 =                                                                         =
 =                     GFitsData constructors/destructors                  =
 =                                                                         =
 ==========================================================================*/

/***************************************************************************
 *                                Constructor                              *
 * ----------------------------------------------------------------------- *
 ***************************************************************************/
GFitsData::GFitsData()
{
    // Return
    return;
}


/***************************************************************************
 *                              Copy constructor                           *
 * ----------------------------------------------------------------------- *
 ***************************************************************************/
GFitsData::GFitsData(const GFitsData& data)
{
    // Return
    return;
}


/***************************************************************************
 *                               Destructor                                *
 * ----------------------------------------------------------------------- *
 ***************************************************************************/
GFitsData::~GFitsData()
{
    // Return
    return;
}


/*==========================================================================
 =                                                                         =
 =                           GFitsData operators                           =
 =                                                                         =
 ==========================================================================*/

/***************************************************************************
 *                            Assignment operator                          *
 * ----------------------------------------------------------------------- *
 ***************************************************************************/
GFitsData& GFitsData::operator= (const GFitsData& data)
{
    // Execute only if object is not identical
    if (this != &data) {

    } // endif: object was not identical

    // Return this object
    return *this;
}


/*==========================================================================
 =                                                                         =
 =                         GFitsData public methods                        =
 =                                                                         =
 ==========================================================================*/


/*==========================================================================
 =                                                                         =
 =                         GFitsData private methods                       =
 =                                                                         =
 ==========================================================================*/

/***********************************************************************//**
 * @brief Connect data to FITS file
 *
 * @param[in] fptr FITS file pointer to which the data should be connected
 ***************************************************************************/
void GFitsData::connect(__fitsfile* fptr)
{
    // Connect data
    m_fitsfile = *fptr;

    // Return
    return;
}


/*==========================================================================
 =                                                                         =
 =                             GFitsData friends                           =
 =                                                                         =
 ==========================================================================*/


/*==========================================================================
 =                                                                         =
 =                     Other functions used by GFitsData                   =
 =                                                                         =
 ==========================================================================*/
